Summary:	DVB mpegtools libdvb - base tools
Name:		libdvb
Version:	0.5.5.1
Release:	%mkrel 6
License:	GPL
Group:		Video
URL:		http://www.metzlerbros.org/dvb/
Source0:	http://www.metzlerbros.org/dvb/%{name}-%{version}.tar.gz
Patch0:		libdvb-0.5.5.1-long.patch
Patch3:		libdvb-0.5.5.1-pkgconfig.patch
Patch4:		libdvb-maindvb.patch
Patch5:		libdvb-0.5.5.1-gcc43.patch
Provides:	dvb-mpegtools
BuildRequires:	gcc-c++
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	%name < %version
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1

%description
Manipulation of various MPEG file formats and their DVB variants

%package	devel
Summary:	DVB mpegtools libdvb - developer tools
Group:		Development/Other
Provides:	dvb-mpegtools-devel

%description	devel
manipulation of various MPEG file formats and their DVB variants

%prep

%setup -q
%patch0 -p1
%patch3 -p1 -b .pkgconfig
%patch4
%patch5 -p1

# no `configure` here..

%build
# -I../../include is wrong... point to the headers of the current kernel
# (anssi) no shared libraries provided; build static libs with -fPIC:
make "INCS=-I/lib/modules/`uname -r`/build/include -I../include" \
 "INCLUDES=-I/lib/modules/`uname -r`/build/include -I../include" \
  PREFIX=%_prefix CFLAGS="%optflags -fPIC"
make pkgconfig \
  PREFIX=%_prefix LIBDIR=%_libdir

%install
rm -rf %{buildroot}

# make install DESTDIR=%buildroot
%__mkdir_p %buildroot%_bindir
make install DESTDIR=%buildroot PREFIX=%_prefix LIBDIR=%_libdir
make pkgconfig-install DESTDIR=%buildroot PREFIX=%_prefix LIBDIR=%_libdir

# prefix binaries with dvb_
for i in %buildroot%_bindir/* ; do 
  dir=`dirname $i` ; file=`basename $i` 
  case "$file" in
  dvb*) ;; 
  *)  mv $dir/$file $dir/dvb_$file ;;
  esac
done
# but keep aliases for ts* and pes*
for i in %buildroot%_bindir/dvb_ts* %buildroot%_bindir/dvb_pes* ; do
  dir=`dirname $i` ; file=`basename $i` 
  (cd $dir && ln -s $file `echo $file | sed -e 's/^dvb_//'`)
done

#gw lib64
#%if %_lib == lib64
#mv %buildroot%_prefix/lib %buildroot%_libdir
#%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%_bindir/*

%files devel
%defattr(-,root,root)
%_libdir/*
%_includedir/*


%changelog
* Sat May 11 2013 Texstar <texstar at gmail.com> 0.5.5.1-6pclos2013
- rebuild

* Fri Dec 04 2009 Texstar <texstar at gmail.com> 0.5.5.1-5pclos2010
- gcc update

